summaryrefslogtreecommitdiffstats
path: root/scripts/runqemu-ifdown
diff options
context:
space:
mode:
authorRichard Purdie <richard.purdie@linuxfoundation.org>2023-06-15 17:59:06 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2023-06-16 15:38:18 +0100
commit2abfbca690ff00cb58ce08a65cde006578ee3de9 (patch)
tree561f2e7aba43a34f111989f195492073c130810a /scripts/runqemu-ifdown
parent038ec3a8c69bee4707817877e7f995a3f5050a99 (diff)
downloadopenembedded-core-2abfbca690ff00cb58ce08a65cde006578ee3de9.tar.gz
runqemu/qemu-helper: Drop tunctl
ip tuntap provides the functionality that we obtained from tunctl. We only needed tunctl when ifconfig was more available than ip. That isn't the case now so we can drop tunctl and all the hoops we need to jump through to build and provide it. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'scripts/runqemu-ifdown')
-rwxr-xr-xscripts/runqemu-ifdown12
1 files changed, 3 insertions, 9 deletions
diff --git a/scripts/runqemu-ifdown b/scripts/runqemu-ifdown
index f72166b32b..98ac7f07b3 100755
--- a/scripts/runqemu-ifdown
+++ b/scripts/runqemu-ifdown
@@ -1,8 +1,7 @@
#!/bin/bash
#
# QEMU network configuration script to bring down tap devices. This
-# utility needs to be run as root, and will use the tunctl binary
-# from the native sysroot.
+# utility needs to be run as root, and will use the ip utility
#
# If you find yourself calling this script a lot, you can add the
# the following to your /etc/sudoers file to be able to run this
@@ -34,13 +33,8 @@ TAP=$1
STAGING_BINDIR_NATIVE=$2
if !ip tuntap del $TAP mode tap 2>/dev/null; then
- TUNCTL=$STAGING_BINDIR_NATIVE/tunctl
- if [ ! -e "$TUNCTL" ]; then
- echo "Error: Unable to find tunctl binary in '$STAGING_BINDIR_NATIVE', please bitbake qemu-helper-native"
- exit 1
- fi
-
- $TUNCTL -d $TAP
+ echo "Error: Unable to run up tuntap del"
+ exit 1
fi
IFCONFIG=`which ip 2> /dev/null`